Forms 1.3 & Android.Support.V7.AppCompat = No resource identifier

Ok, did I miss a memo about these not supposed to be working together on API 19 :)

Platform: Xamarin Studio 5.5.4 using Forms 1.3.0 on Windows 7 Pro x64

My goal is to get Xamarin.Forms.Maps working
After many hours of thrashing around trying to get maps working here is the latest "simplification" I tried...

  1. Created new solution: Blank App (Xamarin Forms Portable)
  2. Updated existing packages: Forms to 1.3.0.6292 and Support.v4 to 21.0.3.0
  3. Made suggested changes from: http://developer.xamarin.com/guides/cross-platform/macios/updating-xamarin-forms-apps/
  4. Created a simple xaml page and linked it to the app via: MainPage = new TestPage { };
  5. Built and installed it on a Samsung (API 19)

Compiled with zero errors and 5 warnings about some things

Xamarin.Forms.Maps is dependent on Xamarin.GooglePlayServices is dependent on Xamarin.Android.Support.v7.Compat

  1. Installed Support.v7.AppCompat on the Android project (not the PCL project)
  2. Clean All
  3. Build All
  • Error: No resource identifier found for attribute 'touchscreenBlocksFocus'
    From: .\AppData\Local\Xamarin\Android.Support.v7.AppCompat\21.0.3\embedded\res\layout\abc_screen_toolbar.xml

  • Error: No resource identifier found for attribute 'paddingMode'
    From: .\Local\Xamarin\Android.Support.v7.AppCompat\21.0.3\embedded\res\drawable\abc_cab_background_top_material.xml

So I seem stuck...

Any help appreciated

Answers

  • tengo el mismo problema

  • I have to problem

  • NMackayNMackay GBInsider, University mod
    edited February 2015

    Get similar but they are warnings and the app does compile.

    The issues I have an known issues in the Android SDK which Google are apparently going to fix

    `
    Warning 1 iC:\Users\myuser\AppCP: Not recognizing Data\Local\Xamarinknown sRG\AndrBoi d.Support.v7.AppComprofile thpat\2at has b1.0een .3\embeditededded\ C:\Users\myuser\AppData\Local\Xamarin\Android.Support.v7.AppCompat\21.0.3\embedded.\res\drawable-hdpi\abc_ab_share_pack_holo_dark.9.png App.Android
    Warning 2 iCCP: Not recognizing known sRGB profile that has been edited
    Warning 3 iCCP: Not recognizing known sRGB profile that has been edited
    Warning 4 iCCP: Not recognizing known sRGB profile that has been edited
    Warning 5 iCCP: Not recognizing known sRGB profile that has been edited
    Warning 6 iCCP: Not recognizing known sRGB profile that has been edited

    `

  • GeoffArmstrongGeoffArmstrong CAMember ✭✭

    Definitely agree that getting the AppCompat theme working on Android is important.

  • OmerTamirOmerTamir AUMember

    same here this time with version 22.1.1.1
    anyone found any solution for that?

  • BCNBITSISTEMASBCNBITSISTEMAS ESMember

    Every day Xamarin fails at 10 different places in the code. It is amazing that we must pay for this... Today afternoon it's the xml, but I have been four months fighting with my own code. It is shameful... Please, destroy Xamarin and go home to cry...

  • DanVanderboomDanVanderboom USUniversity ✭✭

    I'm getting this error as well after upgrading the AppCompat packages. Is this attribute not needed any more?

  • EricaAbbottEricaAbbott AUUniversity

    Does this forum post help anyone?

    https://forums.xamarin.com/discussion/41028/no-resource-identifier-found-for-attribute-touchscreenblocksfocus-with-google-play-services

    I was having this problem after upgrading the AppCompat packages. After changing my target API level from 18 to 21 I was able to compile again.

  • kurtyukurtyu USMember

    @EricaAbbott is right~ when I change the target API level to v23 , I was able to compile.

Sign In or Register to comment.